%define apache_minvers 1.3.31
%define moddav_version 1.0.3

Summary:     DAV protocol extensions for Apache
Name:        mod_dav
Version:     %{moddav_version}
Release:     24.pp
License:     mod_dav
Group:       System Environment/Daemons
Source0:     http://www.webdav.org/%{name}/%{name}-%{moddav_version}-1.3.6.tar.gz
Source1:     %{name}.conf
URL:         http://www.webdav.org/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Greg Stein <gstein@lyra.org>
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    glibc apache >= %{apache_minvers} apache.pp
Provides:    %{name}.pp
Prereq:      /bin/bash
BuildPrereq: gcc >= 2.96 /usr/bin/perl /bin/mkdir /usr/bin/make /bin/tar
BuildPrereq: /usr/bin/install /usr/sbin/apxs /bin/sed mm-devel
BuildPrereq: glibc-devel apache-devel >= %{apache_minvers}
ExclusiveOS: linux


%description
Mod_dav enables Apache to understand the WebDAV protocol (extensions
to HTTP). WebDAV stands for "Web-based Distributed Authoring and
Versioning", and is defined by RFC 2518. WebDAV is intended to replace
proprietary authoring protocols such as those used by Frontpage or Net-
Objects' Fusion, but is also a complete set of protocols for manipulating
a webserver's files and directories, and their properties.


%prep
%setup -q -n %{name}-%{moddav_version}-1.3.6


%build
export CFLAGS="$RPM_OPT_FLAGS"
export LIBS="-lpthread"
export EAPI_MM="SYSTEM"
./configure --with-apxs=/usr/sbin/apxs
make


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf/modules
mkdir -p $RPM_BUILD_ROOT/usr/lib/apache
mkdir -p $RPM_BUILD_ROOT/var/httpd/dav
install -m 755 libdav.so $RPM_BUILD_ROOT/usr/lib/apache
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/httpd/conf/modules
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/httpd/conf/modules/mod_dav.conf.default


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc CHANGES INSTALL LICENSE* README
%config(noreplace) /etc/httpd/conf/modules/mod_dav.conf
/etc/httpd/conf/modules/*.default
/usr/lib/apache/*
%dir %attr(750,www,www) /var/httpd/dav


%changelog
* Fri May 14 2004 peter.pramberger@1012surf.net
- new apache version 1.3.31

* Thu May 08 2003 peter.pramberger@1012surf.net
- compiled for RH73

* Sat Nov 10 2001 peter.pramberger@1012surf.net
- new version 1.0.3
- new apache version 1.3.22

* Sat Oct 13 2001 peter.pramberger@1012surf.net
- created

